Apache Tomcat 8.0.x < 8.0.3 Content-Type DoS

This script is Copyright (C) 2014 Tenable Network Security, Inc.


Synopsis :

The remote Apache Tomcat service may be affected by a denial of
service vulnerability.

Description :

According to its self-reported version number, the instance of Apache
Tomcat 8.0.x listening on the remote host is a version prior to 8.0.3.
Consequently, it could be affected by an error related to handling
'Content-Type' HTTP headers and multipart requests such as file
uploads.

Note that this error exists because of the bundled version of Apache
Commons FileUpload.

Further note that Nessus did not actually test for this flaw, but
instead has relied on the version in Tomcat's banner or error page so
this may be a false positive.

See also :

http://tomcat.apache.org/security-8.html#Fixed_in_Apache_Tomcat_8.0.3
http://www.nessus.org/u?358ef049

Solution :

Update to Apache Tomcat version 8.0.3 or later.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:N/I:N/A:P)
CVSS Temporal Score : 3.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Web Servers

Nessus Plugin ID: 72693 ()

Bugtraq ID: 65400

CVE ID: CVE-2014-0050